Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Year

    java.lang.Object
      |
      +--org.apache.axis.types.Year

public class Year
extends java.lang.Object

Implementation of the XML Schema type gYear

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.11

Constructor Summary
`Year(int year)` Constructs a Year with the given values No timezone is specified
`Year(int year, java.lang.String timezone)` Constructs a Year with the given values, including a timezone string The timezone is validated but not used.
`Year(java.lang.String source)` Construct a Year from a String in the format [-]CCYY[timezone]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getTimezone()`
`int` | `getYear()`
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setValue(int year)`
`void` | `setValue(int year, java.lang.String timezone)`
`void` | `setYear(int year)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Year

    public Year(int year)
         throws java.lang.NumberFormatException

  Constructs a Year with the given values No timezone is specified

### Year

    public Year(int year,
                java.lang.String timezone)
         throws java.lang.NumberFormatException

  Constructs a Year with the given values, including a timezone string The timezone is validated but not used.

### Year

    public Year(java.lang.String source)
         throws java.lang.NumberFormatException

  Construct a Year from a String in the format [-]CCYY[timezone]

Method Detail

### getYear

    public int getYear()

### setYear

    public void setYear(int year)

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

### setValue

    public void setValue(int year,
                         java.lang.String timezone)
                  throws java.lang.NumberFormatException

### setValue

    public void setValue(int year)
                  throws java.lang.NumberFormatException

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.